Questions tagged [software-installation]

Questions regarding issues installing specific applications or operating systems on the Raspberry Pi.

74 questions with no upvoted or accepted answers
Filter by
Sorted by
Tagged with
4
votes
1answer
245 views

BTSync update: 2.0.93 => latest

Years ago I installed BTSync from debian.yeasoft.net repo. My /etc/apt/sources.list.d/btsync.list: deb http://debian.yeasoft.net/btsync wheezy main contrib non-free deb-src http://debian.yeasoft.net/...
3
votes
0answers
194 views

Docker Alpine:latest image fails to get date so everything fails

I just got a Raspberry pi 4 with 8GB and a SD. I ran all the updates and went directly to install docker and discovered that many images were randomly failing. I narrowed it down to the alpine:latest ...
2
votes
1answer
764 views

Failed to start Load Kernel Modules for installing Ubuntu 18.04 on Raspberry 4

I tried to install Ubuntu 18.04 on Pi4. I followed the link from ubuntu for pi. After inserting the SD card with Ubuntu image, the error appeared after few lines with [FAILED] Failed to start Load ...
2
votes
1answer
3k views

Atom text editor on raspberry pi 4?

I'm looking to install Atom on my Raspberry pi 4. In ARMHF naturally. I have already tried a lot of solution, but nothing works. I tried the atom-arhmf.deb from the official github repository and ...
2
votes
0answers
266 views

Installing STM32CubeProgrammer on Raspberry Pi

I need to install STM32CubeProgrammer on Raspberry Pi running Raspbian Server (no desktop). Anyone succeeded with such a setup? To begin with, the installation instructions require the installation of ...
2
votes
0answers
241 views

I can't install System.Device.Gpio on RPi

I try to use .NET Core for Raspberry Pi 3 and want to install IoT libraries by using the instructions here I want to do development on my Mac and then copy files to the RPi so I created a console ...
2
votes
1answer
3k views

Installing RStudio on a Raspberry Pi running Ubuntu MATE 16.04

I am planning to do a classroom project using R and RStudio IDE. I am able to run R from command line. I installed the package using the command below sudo apt-get install r-base Now I am trying to ...
2
votes
0answers
1k views

Unable to install Firefox or Thunderbird (Icedove)

I have been trying to install Firefox and Thunderbird on Raspbian Stretch, but I have not been able to. Edit: This issue seems to have been resolved for now. For some reason the sudo apt-get update ...
2
votes
0answers
949 views

how to install netctl on lastest raspbian pi2

I have install lasted raspbian on my raspberry pi2. Unfortunally, it seem that netctl isn't installed, so I did: sudo apt-get update sudo apt-get install netctl Reading package lists... Done ...
1
vote
0answers
408 views

how do i get zoom on a raspberry pi 4?

I am looking to install zoom web conferencing on my raspberry pi 4 4gb running Ubuntu mate 20.04. I have tried the pi kiss method but pi kiss wont load. How do i do this?
1
vote
0answers
40 views

How do I run AppGameKit for Pi, as it seems to be an executable file?

I am new to StackOverflow so please let me know if I am doing this wrong. I recently got a Raspberry Pi, and have played with it for a little bit. I wanted to use AppGameKit for the Pi on it, but I ...
1
vote
0answers
223 views

Installing docker on Raspberry PI 3

I'm getting the following trying to run docker on a Rasperry PI 3. Link to the the instructions I used. Setting up docker-ce (5:19.03.8~3-0~raspbian-stretch) ... Job for docker.service failed ...
1
vote
0answers
128 views

Pihole only resolves clients names on IPv4

I have setup Pihole on my Pi and evrything works except the client resolvement. Ipv4 adresses get resolved in the certain names i have set in my Router but IPv6 adresses dont get set. I have set ULA ...
1
vote
1answer
151 views

opencv installation

`I tried installing opencv on my raspi 3B using pip, on trying to import cv2 i am getting an error Edit: code lines: Successfully installed opencv-python-4.1.1.26 `(cv) pi@raspberrypi:~ $ workon cv ...
1
vote
0answers
48 views

Server 19.10 on Raspberry Pi 4 defaults to root?

I've successfully installed Server 19.10, then got a desktop (Lubuntu) going on a single Raspberry Pi 4 (4gb). I went with the 32-bit version, having heard the 64-bit is not very stable. (Please ...
1
vote
2answers
857 views

Raspberry Pi Virtual Machine using Virtual Box will not install?

I tried creating a Raspberry Pi VM using the official Raspberry Pi for Desktop iso located at https://www.raspberrypi.org/downloads/raspberry-pi-desktop/, but every time I run the install, I get this ...
1
vote
0answers
472 views

How to install Nextcloud (with a compatible version of PHP) on an RasPi 3B+ running Arch linux (arm)?

I want to install Nextcloud on my Raspberry Pi 3 B+ running Arch Linux. Nextcloud requires a version of PHP: 7.1 <= x < 7.4.0. I have done a lot of research, and there seems to be no place on ...
1
vote
0answers
597 views

Freecad not working on my raspbian!

I just installed free cad on raspbian from repo . Then after the installation was complete when I preseed the freecad icon from menu it is opening. But when I am pressing new project the software is ...
1
vote
0answers
187 views

Error #35584 when trying to run Minetest with flatpak

I'm trying to install minetest on my Raspberry Pi B+ by running flatpak install net.minetest.Minetest I got it installed but after rebooting my pi it doesn't show up anywhere and trying to open it ...
1
vote
0answers
262 views

Installing Raspbian on mdadm raid

I'm looking to make a serious Raspberry Pi installation, and a micro sd card is not enough performance or redundancy for me. So I'm trying to figure out how to install Raspbian on a mdadm raid5 array ...
1
vote
0answers
377 views

How to install Couchbase onto a Raspberry Pi 3

I am making a discord bot, and I want to use Couchbase as my Database option. (So I can get some practise on it, since work is switching to it) However, Couchbase does not officially target the ARM ...
1
vote
1answer
600 views

Can't Install Packages with apt-get | no installation candidate

I'm using Raspbian Stretch with Desktop(v4.14.62-v7) and I can't seem to be able to install packages on my rPi. For instance, when I type sudo apt-get install autoconf, I get: Reading package lists.....
1
vote
0answers
167 views

raspberry pi model b+ Not booting

I recently bought a raspberry pi 3 b+ from amazon and when I got it delivered the package was already opened, so I just want to check if my raspberry is working or not so I formatted a compatible sd ...
1
vote
0answers
600 views

Unable to get Pi to boot with Kali

I'm trying to flash an SD card with Kali Linux to run on my Pi. I've followed the instructions found here: https://docs.kali.org/downloading/kali-linux-live-usb-install and the image I downloaded came ...
1
vote
0answers
209 views

HOW TO FIX: “The valid stable is invalid for APT::Default-Release as such a release is not available in the sources”

So as I'm working on a project I type in "sudo apt-get install feh" but after I pressed enter it gave me a "The valid stable isinvalid for APT::Default-Release as such a release is not available in ...
1
vote
0answers
289 views

phpmyadmin installation issue

I am having trouble installing phpmyadmin on the raspberry pi zero. The raspberry pi is connected to a Windows 10 laptop with SSH using putty and the internet connection is bridge from my laptop. At ...
1
vote
0answers
500 views

Unable to install the driver for “AVerTV Volar HD Nano - A867R” (a DVB-T dongle)

I downloaded the driver (for linux) from the AVerMedia site, unpacked it into an xyz directory, and from that directory I gave the command make. I got the following output Missing files that required ...
1
vote
0answers
506 views

Replacing `jessie` with `stable` in raspbian `sources.list`?

in debian etc/apt/sources.list it is possible to replace the name of the current distribution with the status of a given distribution. For example, if one plans to use always the stable release can ...
1
vote
0answers
37 views

Setting Raspberry Pi up for more than one usage

I am new to Raspberry pi and super excited to start using it. My first raspberry pi project is going to essentially be a entertainment system connected to the tv at all times. First, I will be ...
1
vote
1answer
299 views

Can't install rails3 - unmet dependencies

I just got a Raspberry Pi 3 (I already have a fair amount of UNIX experience) and installed Raspbian. I'm trying to install Rails 3 with apt-get. When I try, I get a message about unmet dependencies. ...
1
vote
0answers
437 views

Emacs Not Properly installing on Raspberry Pi B+

When I type: sudo apt-get install emacs It gives me multiple errors, such as: Err http://mirrordirector.raspbian.org/raspbian/ jessie/main imagemagick-common all 8:6.8.9.9-5+deb8u2 404 Not Found [...
1
vote
0answers
3k views

Install Webmin on my Raspberry Pi 3 B Stops

I've have tried several times to install Webmin on my Raspberry Pi 3 B with no luck. I have expanded the OS to the 32gb micro SD Card, and even changed the SD Card twice. It will download everything ...
1
vote
0answers
265 views

luakit browser installation fail

I am trying to install Luakit browser on Raspberry Pi on Rasbian 7 (Wheezy). However when I execute sudo apt-get install luakit I get following output from console: pi@raspberrypi ~ $ sudo apt-get ...
1
vote
0answers
752 views

Touchscreen - configuration issue?

Good day! I have a rpi B+ with 3,2" display (fb_ili9340) and XPT2046 touch controller. Previously 3.18.10, now 4.0.7 kernel. Display works perfectly as with waveshare32b module, but no touchscreen ...
1
vote
0answers
823 views

Syntax error: word unexpected (expecting “)”) ERROR when run : python configure.py

I followed this link to install PyQt5 on Raspbian. First I cross compiled Qt5 (this link) for Raspberry and executed an example. It worked fine. When executing this command: python configure.py --...
1
vote
0answers
455 views

controlling 12 V RGB LED strip with raspberry pi

We are trying to control a RGB led strip with a 12 V power supply. The servoblaster does not work. Can you please suggest some other software we can use?
1
vote
0answers
303 views

Unable to install the required packages for developing Maynard desktop

I am attempting to install the new Maynard desktop, just to give it a try. I added the # Source packages for Maynard. deb-src http://raspberrypi.collabora.com wheezy wayland lines to /etc/apt/...
1
vote
0answers
1k views

Why I can't compile and install cgminer on my RaspBerry?

I am trying to install Cgminer on my RaspBerry (it use RaspBian that is a Debian minimalistic version) as explained here: https://bitcointalk.org/index.php?topic=494625.0 In particular the ...
1
vote
0answers
1k views

how to install cx_oracle python db driver?

I need to install cx_oracle on my pi but I couldn't find arm-specific version or sources. Any ideas how to do it?
0
votes
0answers
8 views

Getting error when running node -v

I have been trying to install node.js for the last one hour. After reinstalling and removing nodejs numerous times, every time I run node -v I get the following error: node: /usr/lib/arm-linux-...
0
votes
0answers
17 views

Teamspeak3 on Raspberry pi4b

i installed a x86 emulator, Quemu and TS3 on my Raspberry pi 4b. The installation works, but if i want to start TS3 an error ocurred. Here is my log. root@raspberrypi:~/teamspeak3-server_linux_x86# ./...
0
votes
0answers
31 views

Update means Respeaker Seeed Soundcard will no longer install. What can I do?

I've been using the Respeaker 6 Mic array and Seeed-Soundcard for months and was just about to start a field deployment with them however I reflashed my SD cards and tried to reinstall the soundcard ...
0
votes
0answers
38 views

Swiftshader on Rpi4

I want to turn my rpi 4b 8gb into a low-quality external gpu. It will recieve instructions through usb3.0 and will render them using its cpu and gpu. I found a library, Swiftshader, that allows cpu ...
0
votes
1answer
140 views

Install pinout command in Rpi 1B

After install RaspiOS lite (2021-01-11-raspios-buster-armhf-lite) in a Rpi 1B model, I get command not found from pinout command. I found this guide to get pinout command in a Rpi zero: sudo apt ...
0
votes
0answers
147 views

Installing Vuze on Raspberry Pi 4 (8 GB)

I've trying to install Vuze on Raspberry Pi 4 8GB with Ubuntu Mate 20.10 OS and it just doesn't work, i'm getting errors about that it has some libraries missing and that it cannot read .so file. Does ...
0
votes
1answer
176 views

Getting Memory Error while installing tensorflow in raspberry

Memory Error while installing tensorflow in raspberrypi-buster
0
votes
0answers
192 views

Issue with installing RPI Cam Web Interface

I have a Raspberry Pi 3 Model B Rev 1.2 with a Raspberry Pi Camera V2. Fresh install of Buster on my microSD card. Only thing I've changed is the desktop background. My aim is to use ...
0
votes
0answers
67 views

Error E405 while trying to install discord.js with npm

I'm trying to host a Discord bot in my RPI3B+, but the required node.js package discord.js always fails to install. I've tried purging both NPM and Node.js, and i have upgraded my Raspbian using sudo ...
0
votes
1answer
109 views

How do I download shellter for Raspbian?

So my question is: How do you download shellter for Raspbian as sudo apt-get install shellter does not work. it says package not found. Or does shellter not exist for the Raspbian I have found ...
0
votes
0answers
106 views

Cant upgrade Raspbian neither run Python

I am trying to upgrade my Raspberry Pi 3 B+: $ uname -a Linux plexmediaserver-pi 4.14.98-v7+ #1200 SMP Tue Feb 12 20:27:48 GMT 2019 armv7l GNU/Linux But I am getting this weird error: pi@...